SQL-инъекция в e107

Дата публикации:
07.05.2009
Дата изменения:
07.05.2009
Всего просмотров:
4301
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
e107 0.x
Уязвимые версии: e107 0.7.15, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "hide" в сценарии usersettings.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости должен использоваться "Extended User Fields".

URL производителя: e107.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: e107 <= 0.7.15 (extended_user_fields) Blind SQL Injection Exploit

или введите имя

CAPTCHA